StartupEvents.registry('item', event => {
    event.create('flint_axe', 'axe').tier('stone').maxDamage(140)
    event.create('flint_pickaxe', 'pickaxe').tier('stone').maxDamage(140)
    event.create('flint_shovel', 'shovel').tier('stone').maxDamage(140)
    event.create('flint_hoe', 'hoe').tier('stone').maxDamage(140)
    event.create('flint_sword', 'sword').tier('stone').maxDamage(140)
    event.create('flint_shears', 'shears').maxDamage(128)
    event.create('chocliz').food(food => {
        food.hunger(4)
        food.saturation(0.75)
    })
    event.create('ice_tea')
        .maxStackSize(16)
        .food(food => {
            food.alwaysEdible()
            food.hunger(3)
            food.saturation(0.5)
        })
    event.create('spirit')
        .maxStackSize(16)
        .food(food => {
            food.alwaysEdible()
            food.hunger(3)
            food.saturation(0.5)
        })
    event.create('stone_stick')
    event.create('packed_scaffolding')
    event.create('packed_packed_scaffolding')
    event.create('packed_packed_packed_scaffolding')
    event.create('grains_of_infinity')
    event.create('fly_opener').tooltip(['右键切换飞行模式'])
    event.create('stage_accelerator_1').tooltip(['此物品会强制把当前的MA3阶段设置为3'])
    event.create('stage_accelerator_2').tooltip(['此物品会强制把当前的MA3阶段设置为5'])
    event.create('ore_lump')
    event.create('colorless_alloy')
    event.create('dark_red_alloy').texture('mekanism:item/alloy_infused')
    event.create('aqua_alloy').texture('mekanism:item/alloy_reinforced')
    event.create('purple_alloy').texture('mekanism:item/alloy_atomic')
    event.create('yellow_alloy').texture('mekanism_extras:item/alloy_radiance')
    event.create('red_alloy').texture('mekanism_extras:item/alloy_thermonuclear')
    event.create('pink_alloy').texture('mekanism_extras:item/alloy_shining')
    event.create('rainbow_alloy').texture('mekanism_extras:item/alloy_spectrum')
    event.create('ether_ingot')
    event.create('unfinished_steel_ingot').texture('thermal:item/steel_ingot')
    event.create('world_core').tooltip(['通过悬赏板获取'])
    event.create('high_performance_adsorbent_silver')
    event.create('high_performance_adsorbent_zinc')
    event.create('high_performance_adsorbent_nickel')
    event.create('high_performance_adsorbent_aluminum')
    event.create('bedrock_remove').tooltip(['可以破坏基岩'])
    event.create('accessories_random_ticket').texture('kubejs:item/ticket').tooltip(['请去商店兑换'])
    event.create('bullet_random_ticket').texture('kubejs:item/ticket').tooltip(['请去商店兑换'])
    event.create('cosmetic_random_ticket').texture('kubejs:item/ticket').tooltip(['请去商店兑换'])
    event.create('food_random_ticket').texture('kubejs:item/ticket').tooltip(['请去商店兑换'])
    event.create('accessories_optional_ticket').texture('kubejs:item/ticket').tooltip(['请去商店兑换'])
    event.create('bullet_optional_ticket').texture('kubejs:item/ticket').tooltip(['请去商店兑换'])
    event.create('cosmetic_optional_ticket').texture('kubejs:item/ticket').tooltip(['请去商店兑换'])
    event.create('food_optional_ticket').texture('kubejs:item/ticket').tooltip(['请去商店兑换'])
    event.create('energy_dust')
    event.create('phototube')
    event.create('phototube_blank')
    event.create('fuel_rod')
    event.create('spatial_storage_cell_housing')
    event.create('collapse_singularity')
    event.create('degenerate_singularity')
})